basePathForIcons = 'styles/Background/'
//===============================================================================
//									ButtonStyle									|
//===============================================================================
var buttonStyle = new ButtonStyle()
buttonStyle.setBordersWidth(0)
buttonStyle.setFontSize(1)
buttonStyle.setLabelHAlign('RIGHT')
buttonStyle.setLabelRightMargin(25)
buttonStyle.setImageHAlign('RIGHT')
buttonStyle.setImageHMargin(25)
buttonStyle.setImageVMargin(4)

buttonStyle.setTextNormal('#FFCF00')
buttonStyle.setImageNormal(basePathForIcons+'normal.gif')
buttonStyle.setBosNormal(true)

buttonStyle.copyStyle('Normal', 'Roll')
buttonStyle.setTextRoll('white')
buttonStyle.setImageRoll(basePathForIcons+'selected.gif')

buttonStyle.copyStyle('Normal', 'Down')

buttonStyle.copyStyle('Normal', 'Selected')

buttonStyle.copyStyle('Roll', 'RollSelected')
//===============================================================================
//									MenuStyle									|
//===============================================================================
var menuStyle = new MenuStyle()
menuStyle.setBordersWidth(0)
menuStyle.setIsTree(true)
menuStyle.setMenuIndent(0)
menuStyle.setWidth(140)
menuStyle.setItemsHAlign('RIGHT')
menuStyle.setBordersHMargin([10, 0])
menuStyle.setBordersHMargin(0)
//-------------------------------------------------------
//							defaultButtonStyle			!
//-------------------------------------------------------
var x = new ButtonStyle(buttonStyle)
x.setActivateOn('OVER')
menuStyle.setDefaultButtonStyle(x)
//-------------------------------------------------------
//									itemsStyle			!
//-------------------------------------------------------
var x = new ButtonStyle(buttonStyle)
x.setAutoWidth('MENU')
menuStyle.setItemsStyle(x)
//===============================================================================
//									title barStyle								|
//===============================================================================
var titleBarStyle = new BarStyle(barStyle)
titleBarStyle.setHeight(20)
titleBarStyle.setBordersWidth(0)
titleBarStyle.setDefaultButtonStyle(buttonStyle)
//===============================================================================
//									barStyle									|
//===============================================================================
var barStyle = new BarStyle()
barStyle.setPos('LEFT')
barStyle.setBordersWidth(0)
barStyle.setWidth(150)
barStyle.setItemsHAlign('RIGHT')
barStyle.setAutoWidth('')
barStyle.setAutoHeight('')
//for common bar
barStyle.setItemsVAlign('TOP')
barStyle.setHeight(175)
//-------------------------------------------------------
//							defaultButton/Menu Styles	!
//-------------------------------------------------------
barStyle.setDefaultButtonStyle(buttonStyle)
barStyle.setDefaultMenuStyle(menuStyle)
//-------------------------------------------------------
//							default title Bar Style		!
//-------------------------------------------------------
barStyle.setDefaultTitleBarStyle(titleBarStyle)
//===============================================================================
//									dFrameStyle									|
//===============================================================================
var dFrameStyle = new DFrameStyle()
dFrameStyle.setBackgroundImage(basePathForIcons + 'back.gif')
dFrameStyle.setPos([0,0,100,100])
dFrameStyle.setBordersWidth(0)
dFrameStyle.setContentBgColor('#F7C300')

//-------------------------------------------------------
//							defaultBarStyle				!
//-------------------------------------------------------
dFrameStyle.setDefaultBarStyle(barStyle)
//-------------------------------------------------------
//							defaultContextMenuStyle		!
//-------------------------------------------------------
dFrameStyle.setDefaultContextMenuStyle(menuStyle)
//-------------------------------------------------------
//							defaultTaskBarStyle			!
//-------------------------------------------------------
var x = new BarStyle(barStyle)
x.getDefaultButtonStyle().setImageSelected(basePathForIcons+'selected.gif')
x.setTitleBar(true)
x.setBordersVMargin(5)
x.setBordersWidth(0)
x.setOverlayParentBars()
x.setStartFrom('TOP')
x.setWidth(0)
x.setHeight(0)
x.setTitleBar(true)
dFrameStyle.setDefaultTaskBarStyle(x)
